{{- $position := .position -}}
{{- $title := .title -}}
{{- with .data -}}
  <section class="block-organization_chart" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        {{ if $title -}}
        <h2 id="{{ . | urlize }}">{{ partial "osuny/PrepareHTML" . }}</h2>
        {{- end }}
        <div class="persons">
          {{- range . -}}
            {{ $person := site.GetPage (printf "/persons/%s" .slug) }}
            <div>
              {{- if (partial "osuny/GetTextFromHTML" .role) }}
                <article class="person" itemscope itemtype="https://schema.org/Person">
                  <div>
                    <p class="name" itemprop="name">
                      <a href="{{ $person.Permalink }}" aria-label="{{ i18n "osuny/commons.more_aria" (dict "Title" $person.Title) }}">
                        {{- partial "osuny/PrepareHTML" $person.Title -}}
                      </a>
                    </p>
                    <p itemprop="jobTitle">{{ partial "osuny/PrepareHTML" .role }}</p>
                  </div>
                  <div class="avatar" itemprop="image">
                    {{- if $person.Params.image }}
                      {{ partial "osuny/commons/image.html"
                            (dict
                              "image"    $person.Params.image
                              "mobile"   "76x76"
                              "tablet"   "76x76"
                              "desktop"  "76x76"
                            )}}
                    {{ end -}}
                  </div>
                </article>
              {{ else }}
                {{ partial "osuny/persons/person.html" $person }}
              {{ end -}}
            </div>
          {{- end -}}
        </div>
      </div>
    </div>
  </section>
{{- end -}}
